#!/bin/sh

set -e

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DIR=`pwd`

echo "Copiando directorios auxiliares - Entorno"


if [ ! -d /etc/watcherCat/ ];then
	mkdir /etc/watcherCat/
	chmod 755 /etc/watcherCat/
fi


if [ ! -d /etc/watcherCat/lang ]; then
        cp -R $DIR/lang/ /etc/watcherCat/
fi

if [ ! -d /opt/caton/acept-1.2 ]; then
	echo $DIR
        cp -R $DIR/documentos/ /opt/caton/acept-1.2/
fi

if [ ! -d /opt/caton/acept-1.2/documentos ]; then
        cp -R $DIR/documentos/ /opt/caton/acept-1.2/
fi

if [ ! -d /opt/caton/acept-1.2/pixmaps ]; then
        cp -R $DIR/pixmaps/ /opt/caton/acept-1.2/
fi

if [ ! -d /usr/squid/var  ];then
	mkdir /usr/squid/var 
fi

if [ ! -d /usr/squid/var/logs ];then
        mkdir /usr/squid/var/logs
fi


if [ ! -d /usr/squid/var/cache  ];then
        mkdir /usr/squid/var/cache
fi

if [ ! -d /usr/squid/var/rg  ];then
        mkdir /usr/squid/var/rg
fi




if [ ! -d /usr/squidGuard  ];then
        mkdir /usr/squidGuard
fi
if [ ! -d /usr/squidGuard/log ];then
        mkdir /usr/squidGuard/log
fi
if [ ! -d /usr/squidGuard/squidGuard  ];then
        mkdir /usr/squidGuard/squidGuard
fi
if [ ! -d /usr/squidGuard/squidGuard/log  ];then
        mkdir /usr/squidGuard/squidGuard/log
fi

if [ ! -d /var/lib/squidguard ];then
        mkdir /var/lib/squidguard
fi
if [ ! -d /var/lib/squidguard/db  ];then
        mkdir /var/lib/squidguard/db
fi
if [ ! -d /var/lib/squidguard/db/download  ];then
        mkdir /var/lib/squidguard/db/download
fi
if [ ! -d /opt/caton/acept-1.2/estadisticas  ];then
        mkdir /opt/caton/acept-1.2/estadisticas
fi


echo $DIR

if [  -d /etc/watcherCat ];then
	if [ ! -e /etc/watcherCat/watcherconf.xml ];then
		tar xvf $DIR/config/etc_backup.tar -C /
	fi
else
	tar xvf $DIR/config/etc_backup.tar -C

fi
